Subject: Re: bug#21696: [PATCH 1/2] grep: improvement of performance of grep -Fw

From: Jim Meyering <[email-masked]>
Date: Sat, 17 Oct 2015 08:11:21 -0700

On Sat, Oct 17, 2015 at 12:44 AM, Norihiro Tanaka <[email-masked]> wrote:
> On Fri, 16 Oct 2015 22:48:07 -0700
> Paul Eggert <[email-masked]> wrote:
>
>> Thanks for those performance improvements. I installed them, with some minor changes to commentary. I also installed a couple of minor tweaks to the code, to use memrchr and to simplify the multibyte test. Attached are the revised set of patches.
>
> Thanks for review and rewording, Paul.

Thank you both for those fine changes.
I know there are older pending patches from Norihiro Tanaka, and
normally I would have prioritized applying them before the next
release, but now that we know about the false-match fix (echo abc|grep
-E '^b|b$') affecting 2.19..2.21, I would prefer to release the fixed
grep-2.22 ASAP, and integrate those additional changes afterwards.

I would like to make a prerelease snapshot late today or tomorrow, so
if you know of any quick/trivial improvements or anything
bug-fix-related, please let me know soon.